Package ru.bitel.bgbilling.server.bean

# Class AbstractTransactionManager<B extends Id>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<B>
ru.bitel.bgbilling.common.dao.AbstractIdDao<B>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<B>

Direct Known Subclasses:
  `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`, `TransactionManager`

public abstract class AbstractTransactionManager<B extends Id> extends ru.bitel.bgbilling.common.dao.AbstractIdDao<B>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ParameterMap`
  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTransactionManager(Connection con, String tableName, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `checkColumn(ResultSetMetaData metaData, String columnName)`
  `protected StringBuilder`
  `doConnection(String url, String requestMethod, boolean doInput, String outputText)`
  `protected StringBuilder`
  `doConnection(String url, String requestMethod, boolean doInput, String outputText, Map<String,String> requestProperties)`
  `protected void`
  `executeQuerySumPage(PreparedStatement ps, SearchResult<B> searchResult)`
  `protected String`
  `getParameter(String data, String key)`
  `protected static String`
  `getParamString(org.json.JSONObject resultJsonObject)`
  `protected static String`
  `getParamString(org.json.JSONObject resultJsonObject, String params)`
  `protected static void`
  `getParamString(org.json.JSONObject jsonObject, StringBuilder builder, String prefix)`
  `protected <T extends BGAbstractTransaction>
  String`
  `getPaymentData(T transaction)`
  `protected String`
  `getTransactionSumColumn()`
  `protected int`
  `psSetId(PreparedStatement ps, int index, int id)`
  `protected int`
  `psSetStatus(PreparedStatement ps, int index, String status)`
  `protected void`
  `queryId(StringBuilder query, int id)`
  `protected void`
  `queryStatus(StringBuilder query, String status)`
  `void`
  `searchTransaction(SearchResult<B> searchResult, SearchParam searchParam)`
  `protected void`
  `setConnectionTimeout(HttpsURLConnection connection)`
  `protected String`
  `setParameter(String data, String key, String value)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getFromRS, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update, updateImpl`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### moduleSetup

    protected ParameterMap moduleSetup

- ## Constructor Details

  - ### AbstractTransactionManager

    public AbstractTransactionManager(Connection con, String tableName, int moduleId)

- ## Method Details

  - ### searchTransaction

    public void searchTransaction(SearchResult<B> searchResult, SearchParam searchParam) throws SQLException
    Throws:
      `SQLException`

  - ### checkColumn

    protected boolean checkColumn(ResultSetMetaData metaData, String columnName) throws SQLException
    Throws:
      `SQLException`

  - ### executeQuerySumPage

    protected void executeQuerySumPage(PreparedStatement ps, SearchResult<B> searchResult) throws SQLException
    Throws:
      `SQLException`

  - ### queryId

    protected void queryId(StringBuilder query, int id)

  - ### psSetId

    protected int psSetId(PreparedStatement ps, int index, int id) throws SQLException
    Throws:
      `SQLException`

  - ### queryStatus

    protected void queryStatus(StringBuilder query, String status)

  - ### psSetStatus

    protected int psSetStatus(PreparedStatement ps, int index, String status) throws SQLException
    Throws:
      `SQLException`

  - ### getTransactionSumColumn

    protected String getTransactionSumColumn()

  - ### doConnection

    protected StringBuilder doConnection(String url, String requestMethod, boolean doInput, String outputText) throws IOException
    Throws:
      `IOException`

  - ### doConnection

    protected StringBuilder doConnection(String url, String requestMethod, boolean doInput, String outputText, Map<String,String> requestProperties) throws IOException
    Throws:
      `IOException`

  - ### setConnectionTimeout

    protected void setConnectionTimeout(HttpsURLConnection connection)

  - ### setParameter

    protected String setParameter(String data, String key, String value)

  - ### getParameter

    protected String getParameter(String data, String key)

  - ### getParamString

    protected static String getParamString(org.json.JSONObject resultJsonObject)

  - ### getParamString

    protected static String getParamString(org.json.JSONObject resultJsonObject, String params)

  - ### getParamString

    protected static void getParamString(org.json.JSONObject jsonObject, StringBuilder builder, String prefix)

  - ### getPaymentData

    protected <T extends BGAbstractTransaction> String getPaymentData(T transaction)